Index: code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 9667)
@@ -48,5 +48,5 @@
 {
 
-    CreateUnloadableFactory(NotificationDispatcher);
+    RegisterUnloadableClass(NotificationDispatcher);
 
     registerMemberNetworkFunction(NotificationDispatcher, broadcastHelper);
@@ -57,5 +57,5 @@
         Default constructor. Initializes the object.
     */
-    NotificationDispatcher::NotificationDispatcher(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    NotificationDispatcher::NotificationDispatcher(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(NotificationDispatcher);
Index: code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 9667)
@@ -76,5 +76,5 @@
     {
         public:
-            NotificationDispatcher(BaseObject* creator); //!< Default constructor. Initializes the object.
+            NotificationDispatcher(Context* context); //!< Default constructor. Initializes the object.
             virtual ~NotificationDispatcher(); //!< Destructor.
 
Index: code/trunk/src/modules/notifications/NotificationManager.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.cc	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationManager.cc	(revision 9667)
@@ -55,5 +55,5 @@
     NotificationManager::NotificationManager()
     {
-        RegisterRootObject(NotificationManager);
+        RegisterObject(NotificationManager);
 
         orxout(internal_info, context::notifications) << "NotificatioManager created." << endl;
Index: code/trunk/src/modules/notifications/NotificationManager.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.h	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationManager.h	(revision 9667)
@@ -42,5 +42,4 @@
 #include <string>
 
-#include "core/OrxonoxClass.h"
 #include "util/Singleton.h"
 #include "interfaces/NotificationListener.h"
Index: code/trunk/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationQueue.cc	(revision 9667)
@@ -44,5 +44,5 @@
 {
 
-    CreateFactory(NotificationQueue);
+    RegisterClass(NotificationQueue);
 
     /**
@@ -52,5 +52,5 @@
         The creator of the NotificationQueue.
     */
-    NotificationQueue::NotificationQueue(BaseObject* creator) : BaseObject(creator), Synchronisable(creator), registered_(false)
+    NotificationQueue::NotificationQueue(Context* context) : BaseObject(context), Synchronisable(context), registered_(false)
     {
         RegisterObject(NotificationQueue);
Index: code/trunk/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.h	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationQueue.h	(revision 9667)
@@ -94,5 +94,5 @@
 
         public:
-            NotificationQueue(BaseObject* creator);
+            NotificationQueue(Context* context);
             virtual ~NotificationQueue();
 
Index: code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 9667)
@@ -46,9 +46,9 @@
 {
 
-    CreateFactory(NotificationQueueCEGUI);
+    RegisterClass(NotificationQueueCEGUI);
 
     /*static*/ const std::string NotificationQueueCEGUI::NOTIFICATION_LAYER("NotificationLayer");
 
-    NotificationQueueCEGUI::NotificationQueueCEGUI(BaseObject* creator) : NotificationQueue(creator)
+    NotificationQueueCEGUI::NotificationQueueCEGUI(Context* context) : NotificationQueue(context)
     {
         RegisterObject(NotificationQueueCEGUI);
Index: code/trunk/src/modules/notifications/NotificationQueueCEGUI.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueueCEGUI.h	(revision 9550)
+++ code/trunk/src/modules/notifications/NotificationQueueCEGUI.h	(revision 9667)
@@ -70,5 +70,5 @@
 
         public:
-            NotificationQueueCEGUI(BaseObject* creator);
+            NotificationQueueCEGUI(Context* context);
             virtual ~NotificationQueueCEGUI();
 
Index: code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 9550)
+++ code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 9667)
@@ -44,5 +44,5 @@
 namespace orxonox {
 
-    CreateFactory(CommandNotification);
+    RegisterClass(CommandNotification);
 
     /**
@@ -50,5 +50,5 @@
         Default Constructor. Registers the object and initializes variables.
     */
-    CommandNotification::CommandNotification(BaseObject* creator) : NotificationDispatcher(creator)
+    CommandNotification::CommandNotification(Context* context) : NotificationDispatcher(context)
     {
         RegisterObject(CommandNotification);
Index: code/trunk/src/modules/notifications/dispatchers/CommandNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 9550)
+++ code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 9667)
@@ -70,5 +70,5 @@
 
         public:
-            CommandNotification(BaseObject* creator); //!< Default Constructor.
+            CommandNotification(Context* context); //!< Default Constructor.
             virtual ~CommandNotification(); //!< Destructor.
 
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 9550)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 9667)
@@ -39,5 +39,5 @@
 namespace orxonox {
 
-    CreateFactory(SimpleNotification);
+    RegisterClass(SimpleNotification);
 
     /**
@@ -45,5 +45,5 @@
         Default Constructor. Registers the object and initializes variables.
     */
-    SimpleNotification::SimpleNotification(BaseObject* creator) : NotificationDispatcher(creator)
+    SimpleNotification::SimpleNotification(Context* context) : NotificationDispatcher(context)
     {
         RegisterObject(SimpleNotification);
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 9550)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 9667)
@@ -67,5 +67,5 @@
     {
         public:
-            SimpleNotification(BaseObject* creator); //!< Default Constructor.
+            SimpleNotification(Context* context); //!< Default Constructor.
             virtual ~SimpleNotification(); //!< Destructor.
 
